5.3.0-git
2014-12-22

[#9579] SMTP authentication and alarm system
Summary SMTP authentication and alarm system
Queue Horde Base
Queue Version Git master
Type Enhancement
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester karagian (at) gmail (dot) com
Created 2011-02-14 (1407 days ago)
Due
Updated 2014-07-11 (164 days ago)
Assigned
Resolved 2014-07-11 (164 days ago)
Milestone
Patch No

History
2014-07-11 19:46:01 Michael Slusarz Comment #2
Version ⇒ Git master
State ⇒ Resolved
Assigned to Michael Slusarz
Reply to this comment
2011-02-14 12:58:42 Jan Schneider Version ⇒
Queue ⇒ Horde Base
 
2011-02-14 12:58:27 Jan Schneider State ⇒ Accepted
 
2011-02-14 12:29:02 karagian (at) gmail (dot) com Comment #1
State ⇒ New
Patch ⇒ No
Milestone ⇒
Queue ⇒ Horde Groupware Webmail Edition
Summary ⇒ SMTP authentication and alarm system
Type ⇒ Enhancement
Priority ⇒ 2. Medium
Reply to this comment
It is possible to enable (force?) SMTP authentication using the 
$conf['mailer'] parameters in horde conf.php. In order to use the 
current logged in user's username and password, no username and 
password is specified in the conf file.
The problem is that the same settings are used for sending the email 
notifications for alerts, but the emails are sent from a cron script, 
so at that point no username and password are available, and the 
notifications fail with error message "authentication failed".

There should be a way to be able to use the above scenario.. (users 
send email using their own username and password and notification are 
sent either without authentication, or using a specific username and 
password?)